## iamctl color

Print colors supported by the current terminal

### Synopsis

Print the colors supported by the current terminal.

 Color lets you use colorized outputs in terms of ANSI Escape Codes in Go (Golang). It has support for Windows too! The API can be used in several ways, pick one that suits you.

 Find more information at: https://github.com/fatih/color

```
iamctl color
```

### Examples

```
  # Print supported foreground and background colors
  iamctl color
  
  # Print supported colors by type
  iamctl color -t fg-hi
  
  # Print all supported colors
  iamctl color -t all
```

### Options

```
      --example                           Print code to show how to use color package.
  -h, --help                              help for color
  -t, --type fg,fg-hi,bg,bg-hi,base,all   Specify the color type, available types: fg,fg-hi,bg,bg-hi,base,all.
```

### Options inherited from parent commands

```
      --iamconfig string                      Path to the iamconfig file to use for CLI requests
      --match-server-version                  Require server version to match client version
      --profile string                        Name of profile to capture. One of (none|cpu|heap|goroutine|threadcreate|block|mutex) (default "none")
      --profile-output string                 Name of the file to write the profile to (default "profile.pprof")
  -s, --server.address string                 The address and port of the IAM API server
      --server.certificate-authority string   Path to a cert file for the certificate authority
      --server.insecure-skip-tls-verify       If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure
      --server.max-retries int                Maximum number of retries.
      --server.retry-interval duration        The interval time between each attempt. (default 1s)
      --server.timeout duration               The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests. (default 30s)
      --server.tls-server-name string         Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used
      --user.client-certificate string        Path to a client certificate file for TLS
      --user.client-key string                Path to a client key file for TLS
      --user.password string                  Password for basic authentication to the API server
      --user.secret-id string                 SecretID for JWT authentication to the API server
      --user.secret-key string                SecretKey for jwt authentication to the API server
      --user.token string                     Bearer token for authentication to the API server
      --user.username string                  Username for basic authentication to the API server
```

### SEE ALSO

* [iamctl](iamctl.md)	 - iamctl controls the iam platform

###### Auto generated by spf13/cobra on 1-Apr-2021
